<template>
  <div>
    <b-jumbotron>
      <template #header>Statistics</template>
      <template #lead> Lottoland Code Challenge </template>
      <div class="text-right">
        <h3><nuxt-link id="btn_to_index" to="/">Back to game</nuxt-link></h3>
      </div>
      <hr class="my-4" />
      <Table :fields="fields" :items="statistics" />
    </b-jumbotron>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import Table from '@/components/Table'

export default {
  name: 'MainGame',
  components: {
    Table
  },
  async asyncData({ $axios }) {},
  data() {
    return {
      fields: [
        { key: 'total_rounds', label: 'Total rounds', sortable: false },
        { key: 'total_first_win', label: 'Total first win', sortable: false },
        { key: 'total_second_win', label: 'Total second win', sortable: false },
        { key: 'total_draw', label: 'Total draw', sortable: false }
      ]
    }
  },
  computed: {
    statistics: {
      get() {
        return this.$store.state.statistics.statistics || []
      },
      set(value) {
        this.$store.commit('statistics/setStatistics', value)
      }
    }
  },
  async beforeMount() {
    await this.$axios.$get('/games/resume', { data: {} }).then((result) => {
      this.setStatistics(result)
    })
  },
  methods: {
    ...mapActions({
      setStatistics: 'statistics/setStatistics'
    })
  }
}
</script>
